/* $Header: /home/aggarwal/lsrc/nocol/src/include/RCS/portmon.h,v 1.1 1993/10/30 03:04:41 aggarwal Exp $  */

#include "nocol.h"

#include <sys/types.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>

#include <unistd.h>		/* for lseek */
#include <sys/file.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <sys/socket.h>
#include <sys/un.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <signal.h>
#include <netdb.h>


#ifndef ETCDIR
#  define ETCDIR         "../../etc"
#endif

#ifndef DATADIR
#  define DATADIR         "../../data"
#endif

#ifndef CONFIGFILE
# define CONFIGFILE       "../../etc/portmon-confg"
#endif

#define OUTPUTEXT	"-output"
#define VARUNITS	"Port"

#define MAXLINE		128     	/* Randomly selected string length */
#define MAXHOSTS  	128
#define TIMEOUT    	30		/* secs in 'connect' timeouts */
#define POLLINTERVAL  	60*15		/* seconds between passes */


struct _response
{
    char  *response;
    int   severity;
} ;

struct _harray
{
    char  *hname ;		/* Name for nocol struct */
    char  *ipaddr ;		/* IP name (or address) */
    char  *send ;		/* string to send remote site */
    int   port ;		/* port number being tested */
    int	  maxseverity ;
    struct _response  responses[20] ;	/* max number of chat strings */
} hostarray[MAXHOSTS] ;


#define RTIMEOUT  60		/* seconds for socket read() timeout */

