/* $Header: /home/aggarwal/lsrc/nocol/src/include/RCS/noclogd.h,v 2.1 1993/10/30 03:01:43 aggarwal Exp $ */


#ifndef __noclogd_h
# define __noclogd_h

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <signal.h>
#include <errno.h>
#include <netdb.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "nocol.h"

/* For config file, Unix socket, pidfile, etc. */
#ifndef ETCDIR
# define ETCDIR  "/nocol/etc"
#endif

#define NLOG_CONFIGFILE(s) *s= '\0'; strcat(strcat(s, ETCDIR),"/noclogd-confg")
#define NLOG_PIDFILE(s)	   *s= '\0'; strcat(strcat(s, ETCDIR),"/noclogd.pid")

/* File for daemon error messages  */
#define NLOG_ERRORFILE(s)  *s= '\0'; strcat(strcat(s, ETCDIR),"/noclogd.error")

/*
 * Host where the NOCOL logging daemon runs. Needed by clients.
 * Can give an IP address instead of a name
 */
#ifndef NLOG_HOST
# define NLOG_HOST		"noclog.jvnc.net"	/* as a hostname */
/*  # define NLOG_HOST		"128.121.50.2" 		/* as IP addr */
#endif

/* For extracting the port from /etc/services */
#ifndef NLOG_SERVICE
# define NLOG_SERVICE		"noclog"
#endif

/* Port in case not available from /etc/services */
#ifndef NLOG_PORT
# define NLOG_PORT		5354
#endif

#ifndef NLOG_UMASK
# define NLOG_UMASK		022
#endif


#endif  /* !__noclogd_h  */
