/* view an output file
 */
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>

time_t getModTime();
char*	viewFile	= "msummary.out";

main (argc, argv)
int	argc;
char**	argv;
{
	int f;
	time_t lastDump = 0, modTime;

	if ((f = open (viewFile, 0)) < 0) {
		perror (viewFile);
		exit (1);
	}

	for (;;) {
		modTime = getModTime (f);
		if (modTime > lastDump) {
			lastDump = modTime;
			dumpFile (f, 1);
		}
		sleep (10);
	}
}

time_t
getModTime(f)
int	f;
{
	struct stat sbuf;

	return fstat (f, &sbuf) < 0
		? (perror("fstat"), exit (1))
		: sbuf.st_mtime;
}

dumpFile (fin, fout)
int	fin, fout;
{
	char buf[BUFSIZ];
	int n;

	lseek (fin, 0L, 0);
	while ((n = read (fin, buf, sizeof buf)) > 0) {
		if (write (fout, buf, n) != n) {
			perror ("write");
			exit (1);
		}
	}
}
