/*+ 
** $Header: /home/aggarwal/lsrc/nocol/src/utility/RCS/display_nocol_datafile.c,v 1.4 1993/10/19 17:06:37 aggarwal Exp $
**/

/*+ 
** This module displays the NOCOL EVENT structure.
**/

#include "nocol.h"

#include 	<stdio.h>
#include 	<sys/file.h>

main(ac, av)
     char **av ;
     int ac ;
{
    while (--ac)
      display_nocol_datafile(*++av) ;
}


display_nocol_datafile(file)
     char *file;
{
  EVENT v;
  int bufsize, fd;
  
  if ( (fd = open (file, O_RDONLY)) < 0)
  {
      fprintf (stderr, "Error in opening file %s\n", file);
      perror((char *) NULL);
      return (1);
  }
  fprintf (stdout, ":::::  %s  ::::\n\n", file);
  
  while ((bufsize=read (fd, (char *)&v, sizeof(v))) == sizeof(v))
    printf("%s\n", (char *)event_to_logstr(&v));
  
  if (bufsize != 0)			/* Error		*/
    fprintf (stderr, "Invalid data in %s\n", file);
  
}	/* end: display_nocol_datafile */
